Index: rtemsqual/applconfig.py
===================================================================
--- rtemsqual/applconfig.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/applconfig.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -129,5 +129,5 @@
         for link in reversed(constraint["links"]):
             other = item.map(link)
-            other.register_license_and_copyrights(content)
+            content.register_license_and_copyrights_of_item(other)
             constraint["custom"].append(other["text"])
 
@@ -191,10 +191,10 @@
 def _generate_file(group: Item, options: ItemMap, target: str) -> None:
     content = SphinxContent()
-    group.register_license_and_copyrights(content)
+    content.register_license_and_copyrights_of_item(group)
     content.add_header(group["appl-config-group-name"], level="=")
     content.add(group["appl-config-group-description"])
     for item in sorted(options.values(), key=lambda x: x.uid):
         name = item["appl-config-option-name"]
-        item.register_license_and_copyrights(content)
+        content.register_license_and_copyrights_of_item(item)
         content.add_index_entries([name] + item["appl-config-option-index"])
         content.add_label(name)
Index: rtemsqual/content.py
===================================================================
--- rtemsqual/content.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/content.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -31,4 +31,6 @@
 import textwrap
 from typing import Callable, ContextManager, Iterator, List, Optional, Union
+
+from rtemsqual.items import Item
 
 AddContext = Callable[["Content"], ContextManager[None]]
@@ -268,4 +270,10 @@
         self._copyrights.register(statement)
 
+    def register_license_and_copyrights_of_item(self, item: Item) -> None:
+        """ Registers the license and copyrights of the item. """
+        self.register_license(item["SPDX-License-Identifier"])
+        for statement in item["copyrights"]:
+            self.register_copyright(statement)
+
     def write(self, path: str) -> None:
         """ Writes the content to the file specified by the path. """
Index: rtemsqual/glossary.py
===================================================================
--- rtemsqual/glossary.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/glossary.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -60,5 +60,5 @@
                        key=lambda x: x["glossary-term"].lower()):
         text = macro_to_sphinx.substitute(item["text"].strip())
-        item.register_license_and_copyrights(content)
+        content.register_license_and_copyrights_of_item(item)
         with content.indent():
             content.add_definition_item(item["glossary-term"], text)
Index: rtemsqual/interface.py
===================================================================
--- rtemsqual/interface.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/interface.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -375,5 +375,5 @@
         self._ingroups.update(ingroups)
         self._nodes[item.uid] = Node(self, item, ingroups)
-        item.register_license_and_copyrights(self._content)
+        self._content.register_license_and_copyrights_of_item(item)
 
     def add_potential_edge(self, node: Node, item: Item) -> None:
Index: rtemsqual/items.py
===================================================================
--- rtemsqual/items.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/items.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -34,6 +34,4 @@
 import yaml
 
-from rtemsqual.content import Content
-
 ItemMap = Dict[str, "Item"]
 ItemGetValue = Callable[["Item", str, Any, str, Optional[int]], Any]
@@ -209,10 +207,4 @@
         """ Adds a link to a child item of this items. """
         self._links_to_children.append(link)
-
-    def register_license_and_copyrights(self, content: Content):
-        """ Registers the license and copyrights of this item. """
-        content.register_license(self["SPDX-License-Identifier"])
-        for statement in self["copyrights"]:
-            content.register_copyright(statement)
 
     def is_enabled(self, enabled: List[str]):
Index: rtemsqual/validation.py
===================================================================
--- rtemsqual/validation.py	(revision 6772014b1df4539e0611a0aa6dfe9ed19f4d0ad3)
+++ rtemsqual/validation.py	(revision fa46b668beb793050f8bc672522c4f1718abb19d)
@@ -173,5 +173,5 @@
             includes.extend(item["includes"])
             local_includes.extend(item["local-includes"])
-            item.register_license_and_copyrights(content)
+            content.register_license_and_copyrights_of_item(item)
         content.add_spdx_license_identifier()
         with content.file_block():
